%define upstream_name    POE-Component-SmokeBox-Dists
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Search for CPAN distributions by cpanid or distribution name
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::DistnameInfo) >= 0.60.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Fetch)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(POE) >= 1.4.0
BuildRequires: perl(Sort::Versions) >= 1.500.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(URI)
BuildArch:  noarch

%description
POE::Component::SmokeBox::Dists is a the POE manpage component that
provides non-blocking CPAN distribution searches. It is a wrapper around
the File::Fetch manpage for '02packages.details.txt.gz' file retrieval, the
IO::Zlib manpage for extraction and the CPAN::DistnameInfo manpage for
parsing the packages data.

Given either author ( ie. CPAN ID ) or distribution search criteria,
expressed as a regular expression, it will return to a requesting session
all the CPAN distributions that match that pattern.

The component will retrieve the '02packages.details.txt.gz' file to the
'.smokebox' directory. If that file already exists, a newer version will
only be retrieved if the file is older than 6 hours. Specifying the 'force'
parameter overrides this behaviour.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.80.0-8pclos2017
- rebuild against updates

